public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] dev/dev-zero:master commit in: dev-ruby/http_parser_rb/
@ 2013-06-25 12:48 Tiziano Müller
  0 siblings, 0 replies; only message in thread
From: Tiziano Müller @ 2013-06-25 12:48 UTC (permalink / raw
  To: gentoo-commits

commit:     fa36c1afc014a32956d8839104dea9ad4d427ad1
Author:     Tiziano Müller <tm <AT> dev-zero <DOT> ch>
AuthorDate: Tue Jun 25 12:03:05 2013 +0000
Commit:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Tue Jun 25 12:03:05 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/dev-zero.git;a=commit;h=fa36c1af

gitlab -> tinder -> twitter-stream -> http_parser.rb

---
 dev-ruby/http_parser_rb/Manifest                   |  3 ++
 .../http_parser_rb/http_parser_rb-0.5.3.ebuild     | 49 ++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-ruby/http_parser_rb/Manifest b/dev-ruby/http_parser_rb/Manifest
new file mode 100644
index 0000000..0004844
--- /dev/null
+++ b/dev-ruby/http_parser_rb/Manifest
@@ -0,0 +1,3 @@
+DIST http-parser-1.0.tar.gz 25236 SHA256 2d0020c9a9ef32056dfefb9fc521d92da0a71a538a76ca4d0b2d3658aeb1b9d7 SHA512 ac31063038fa0df3f7433f531a20c56c2d33ba74c589980686c6218b63742cb02d314d8af11b8afbbe4f70e7c332b3e56dc15c61046de8bdd77a899f87804e4f WHIRLPOOL 7fec483173f869da9e9fb95444937a160a548c20a23d28f1217c37974735b70d75b62ba0ac0adda51e37392c5098e55a350925f35dfc4945e2fb7cf64caa3a62
+DIST http_parser.rb-0.5.3.tar.gz 16874 SHA256 c2879aaab5857d853daa7f0cb05b8fd6beccab4d460441d32ea391eace47eeb2 SHA512 5a974496ebdcb5e862fb07dbdb1034f14296ccc8801b1e44945a47e239db81c748d167af237a1416e858fcdd8a5ee2b3d5c70eec173554244fd0d4e8f8a812e0 WHIRLPOOL 7389f7359ce6e5e6c42fd08f5ecb9d0349389e964e638daa3fe35d7ef4f263227fea4997955bcd5f1825c45a4c47ee92def80df51b8284b5b719aae96e2130c6
+EBUILD http_parser_rb-0.5.3.ebuild 1188 SHA256 1eb147c2a1f668e5d7567cdf736997e2a02a8034c290e9f2496cbb67efad1812 SHA512 deed1a274c85f6adfdce5de97cd3fd57efb1b4a1157851daa732823d8dab6e6253e5230960a11515ea4bb5a2e1b3250289eaea6ab2601476a415382bc0262dae WHIRLPOOL 4107f0c9efcec186351026be24cf640345418133db248a4768d921d59b3d4a6df6f6f7c6778f9b7b4bbd9f2424e5f3bea26f77363561e28a29a0ae9dea0bb20f

diff --git a/dev-ruby/http_parser_rb/http_parser_rb-0.5.3.ebuild b/dev-ruby/http_parser_rb/http_parser_rb-0.5.3.ebuild
new file mode 100644
index 0000000..9108558
--- /dev/null
+++ b/dev-ruby/http_parser_rb/http_parser_rb-0.5.3.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+USE_RUBY="ruby18 ruby19"
+
+RUBY_FAKEGEM_NAME="http_parser.rb"
+MY_P="${RUBY_FAKEGEM_NAME}-${PV}"
+# TODO: should update to latest version but that doesn't compile
+HTTPP_PV="1.0"
+HTTPP_P="http-parser-${HTTPP_PV}"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple callback-based HTTP request/response parser"
+HOMEPAGE="https://github.com/tmm1/http_parser.rb"
+SRC_URI="https://github.com/tmm1/http_parser.rb/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz
+	https://github.com/joyent/http-parser/archive/v${HTTPP_PV}.tar.gz -> ${HTTPP_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ""
+ruby_add_bdepend "test? (
+	dev-ruby/yajl-ruby
+	dev-ruby/json
+	virtual/ruby-ffi
+	dev-ruby/rake-compiler )"
+
+RUBY_S="${MY_P}"
+
+# Note: there is no simple unbundling since loading joyent libhttp-parser lib
+# into ruby would result in symbol clashes with mongrel
+all_ruby_prepare() {
+	sed -i -e '/git ls-files/d' http_parser.rb.gemspec || die "sed failed"
+	rmdir ext/ruby_http_parser/vendor/http-parser || die "removing dir failed"
+	ln -s ../../../../${HTTPP_P} ext/ruby_http_parser/vendor/http-parser || die "ln failed"
+}
+
+each_ruby_compile() {
+	rake compile || die
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2013-06-25 12:48 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-06-25 12:48 [gentoo-commits] dev/dev-zero:master commit in: dev-ruby/http_parser_rb/ Tiziano Müller

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox